import { jsx as o } from "react/jsx-runtime";
import { createContext as s, useContext as a } from "react";
const e = s({
  viewports: /* @__PURE__ */ new Map(),
  pages: /* @__PURE__ */ new Map()
}), d = () => a(e), i = ({ children: r }) => {
  const t = /* @__PURE__ */ new Map(), n = /* @__PURE__ */ new Map();
  return /* @__PURE__ */ o(e.Provider, { value: { viewports: t, pages: n }, children: r });
};
export {
  e as RenderedPagesCacheContext,
  i as RenderedPagesCacheProvider,
  d as useRenderedPagesCache
};
